summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Leo C <leoc@gmx.com>2018-12-21 22:30:08 -0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-12-21 22:30:08 -0900
commit430a9f50750c0a922f52e9795a240116efc45fed (patch)
tree11c9fe8c0b296ac4380bf85310a25aa24078c881
parent3223df8be14de9965c6b97d5eb3c347d35e4f766 (diff)
downloadslackbuilds-430a9f50750c0a922f52e9795a240116efc45fed.tar.gz
slackbuilds-430a9f50750c0a922f52e9795a240116efc45fed.tar.xz
system/fatrace: Added (file access trace).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/fatrace/README10
-rw-r--r--system/fatrace/fatrace.SlackBuild92
-rw-r--r--system/fatrace/fatrace.info10
-rw-r--r--system/fatrace/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/system/fatrace/README b/system/fatrace/README
new file mode 100644
index 0000000000..e986031f20
--- /dev/null
+++ b/system/fatrace/README
@@ -0,0 +1,10 @@
+fatrace reports file access events from all running processes.
+Its main purpose is to find processes which keep waking up the disk
+unnecessarily and thus prevent some power saving.
+
+Included is a python3 script called "power-usage-report", which uses
+fatrace and powertop to build a textual report from one minute of
+measuring power usage and file accesses. This does not take any
+arguments or requires any interactivity, so is very simple to use and
+serves as a starting point for bug reports or optimizing a particular
+installation.
diff --git a/system/fatrace/fatrace.SlackBuild b/system/fatrace/fatrace.SlackBuild
new file mode 100644
index 0000000000..e8e68ad4e5
--- /dev/null
+++ b/system/fatrace/fatrace.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for fatrace
+
+# Copyright 2018 Leonardo Citrolo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fatrace
+VERSION=${VERSION:-0.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i -e "/^CFLAGS/s/?=/+=/" -e "s%share/man/man1%man/man1%" Makefile
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG PREFIX=/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fatrace/fatrace.info b/system/fatrace/fatrace.info
new file mode 100644
index 0000000000..8ea1432f21
--- /dev/null
+++ b/system/fatrace/fatrace.info
@@ -0,0 +1,10 @@
+PRGNAM="fatrace"
+VERSION="0.13"
+HOMEPAGE="https://launchpad.net/fatrace"
+DOWNLOAD="https://launchpad.net/fatrace/trunk/0.13/+download/fatrace-0.13.tar.bz2"
+MD5SUM="c390b5d2ce6e48a88ff1905593b9eb61"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3"
+MAINTAINER="Leo C."
+EMAIL="leoc@gmx.com"
diff --git a/system/fatrace/slack-desc b/system/fatrace/slack-desc
new file mode 100644
index 0000000000..10d928650f
--- /dev/null
+++ b/system/fatrace/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fatrace: fatrace (file access trace)
+fatrace:
+fatrace: fatrace reports file access events from all running processes.
+fatrace: Its main purpose is to find processes which keep waking up the disk
+fatrace: unnecessarily and thus prevent some power saving.
+fatrace:
+fatrace:
+fatrace:
+fatrace:
+fatrace: Homepage: https://launchpad.net/fatrace
+fatrace: